<?php
/**
* Plugin canary
*
* @package	PLX
* @version	1.0
* @date	23/06/24
* @author Bronco
**/
class canary extends plxPlugin {
		private $position;
		private $size;
		private $title;
		private $afficher;

	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		# limite l'acces a l'ecran de configuration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		
		$this->position=$this->getParam("position");
		$this->size=$this->getParam("size");
		$this->title=$this->getParam("title");
		$this->afficher=($this->getParam("afficher")=='oui');

		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('ThemeEndHead','ThemeEndHead');
		$this->addHook('ThemeEndBody','ThemeEndBody');
		$this->addHook('censorshipCanary','censorshipCanary');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# ThemeEndHead
	########################################
	# Description:css link
	public function ThemeEndHead(){
		if ($this->afficher){
			echo '<link rel="stylesheet" type="text/css" href="'.PLX_PLUGINS.'canary/style.css"/>';
		}
	}	
	public function ThemeEndBody(){
		if ($this->afficher && $this->position=='footer'){
			echo '<img id="censorship-canary" class="'.$this->position.'" style="--canary_size:'.$this->size.'" src="'.PLX_PLUGINS.'canary/img/canary.webp" alt="censorship canary" title="Si ce canari est présent ce site n\'est pas censuré"/>';
		}
	}

	########################################
	# censorshipCanary
	########################################
	# Description: hook
	public function censorshipCanary(){
		if ($this->afficher){
			echo '<img id="censorship-canary" class="'.$this->position.'" style="--canary_size:'.$this->size.'" src="'.PLX_PLUGINS.'canary/img/canary.webp" alt="censorship canary" title="Si ce canari est présent ce site n\'est pas censuré"/>';
		}
	}

	

}





/* Pense-bete:
 * Récuperer des parametres du fichier parameters.xml
 *	$this->getParam("<nom du parametre>")
 *	$this-> setParam ("param1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 * Accéder à une méthode de plugin depuis un hook sur une page admin
 *  echo '<?php $plxAdmin->plxPlugins->aPlugins["NOMDUPLUGIN"]->METHODE()?>';
 * ou 
 *  echo '<?php $this->plxPlugins->aPlugins["NOMDUPLUGIN"]->METHODE()?>';
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","param1"))  ou eval($plxShow->callHook("ThemeEndHead",array("param1","param2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","param1"));
 */